Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000300 [SkyOS 5.0 - Beta] SDK trivial always 2004-09-12 02:25 2004-10-06 14:58
Reporter Nemo View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000300: Missing functions
Description I have discovered the following functions as missing from the beta 7 SDK's header files. I will try to add bugnotes if I discover others.
This list includes my guess as to what their parameters are.
Additional Information HANDLE GI_widget_property_create_sheet(HANDLE,unsigned char*, int (*)(HANDLE, s_gi_msg*));
void GI_widget_property_add_sheet(HANDLE,HANDLE);
HANDLE GI_create_widget_property(HANDLE,unsigned char*,int,int,unsigned long,unsigned long,int);
HRESULT GI_widget_property_sheet_remove(HANDLE hSheet);
void GI_widget_property_sheet_set_name(HANDLE,unsigned char*);
void GI_accelerator_add(unsigned int, unsigned int, unsigned int, unsigned int, unsigned int, HANDLE);
void UserGetCurrentLoginName(unsigned char* ucUsername);
void GI_beginpaint();
void GI_endpaint();
sTheme* GI_GetActiveTheme();
int GI_widget_lb_delete(s_window*,widget_lb_item*);
void GI_widget_property_sheet_set_name(HANDLE,unsigned char*);
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000164)
aphistic (reporter)
2004-09-13 20:01

Here's some others I've found (they're also guesses at the parameters/return values):
void GI_ResourceLoadMenu( sResFile*, unsigned int, widget_menu** );
void GI_LoadString( sResFile*, unsigned int, unsigned char*, unsigned int* );
void GI_widget_property_sheet_set_data( HANDLE, void* );
void GI_widget_property_sheet_set( HANDLE );
HANDLE GI_create_widget_progress( HANDLE, unsigned char*, unsigned int, unsigned int, unsigned int, unsigned int, unsigned int );
void GI_widget_progress_set( HANDLE, unsigned int );

- Issue History
Date Modified Username Field Change
2004-09-12 02:25 Nemo New Issue
2004-09-13 20:01 aphistic Note Added: 0000164
2004-09-13 20:01 aphistic Issue Monitored: aphistic
2004-09-14 10:34 robert Status new => resolved
2004-09-14 10:34 robert Resolution open => fixed
2004-09-14 10:34 robert Assigned To => robert
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker